Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## warbot.gecko
Class gecko_team_warrior

    java.lang.Object
      madkit.kernel.AbstractAgent
          warbot.kernel.Brain
              warbot.gecko.gecko_team_warrior

All Implemented Interfaces:
  java.io.Serializable, ReferenceableAgent

    public class gecko_team_warrior

extends Brain

See Also:
  Serialized Form

Constructor Summary
`gecko_team_warrior()`

Method Summary
`void` | `activate()` This method is initially called when the micro-kernel registers the agent.
`java.util.Vector` | `analyse()`
`void` | `attaque()`
`void` | `doIt()` This method controls the behavior of a robot.
`double` | `donne_cible(java.util.Vector V)`
`void` | `end()` This method is called by the agent micro-kernel at the end of the agent lifecycle.
`boolean` | `existe_il_ennemis()`
`boolean` | `foo_attaque()`
`void` | `influer_comportement()`
`gecko_team_robot` | `recupere_identite()`
`void` | `set_id_attaque(int i)`
`boolean` | `suis_je_en_position_potentielle_attaque()`
`boolean` | `suis_je_un_ennemis(Percept p)`
`void` | `tache1()`
`void` | `tirer(double direction)`
`boolean` | `verif_cible(double xx, double yy, double d2)`

Methods inherited from class warbot.kernel.Brain
`bagSize, broadcast, broadcast, broadcast, broadcast, broadcastMessage, buildRocket, createAgent, distanceTo, drop, dropAll, eat, edit, getBagCapacity, getBagPercepts, getCoveredDistance, getEnergyLevel, getHeading, getMaximumEnergy, getPercepts, getResourceLevel, getRocketNumber, getShot, getTeam, init, isBagEmpty, isBagFull, isMoving, isMyBagEmpty, isMyBagFull, isShowUserMessage, launchRocket, move, randomHeading, readMessage, receiveMessage, send, send, send, send, sendMessage, sendMessage, setHeading, setUserMessage, showUserMessage, take, towards`

Methods inherited from class madkit.kernel.AbstractAgent
`broadcastMessage, connectedWithCommunity, createGroup, createGroup, debug, disposeMyGUI, foundGroup, getAddress, getAgentInformation, getAgentsWithRole, getAgentsWithRole, getAgentWithRole, getAgentWithRole, getAvailableCommunities, getBean, getController, getCurrentKernelAddress, getDebug, getExistingGroups, getExistingGroups, getExistingRoles, getExistingRoles, getGroups, getGUIObject, getMessageBoxSize, getMyGroups, getMyGroups, getMyRoles, getMyRoles, getName, getRoles, hasGUI, initGUI, isBelongingToGroup, isBelongingToGroup, isCommunity, isGroup, isGroup, isMemberOf, isMemberOf, isMessageBoxEmpty, isRole, isRole, joinGroup, killAgent, launchAgent, launchAgent, leaveGroup, leaveGroup, leaveRole, leaveRole, nextMessage, print, println, redisplayMyGUI, requestRole, requestRole, requestRole, restoreAgent, sendMessage, setBean, setController, setDebug, setGUIObject, setName, setOutput, setOutputWriter, windowClosing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### gecko_team_warrior

    public gecko_team_warrior()

Method Detail

### activate

    public void activate()

  Description copied from class: `AbstractAgent`
  This method is initially called when the micro-kernel registers the agent. Usually a good place to set up some initial groups and roles.

  Overrides:
    `activate` in class `AbstractAgent`

### end

    public void end()

  Description copied from class: `AbstractAgent`
  This method is called by the agent micro-kernel at the end of the agent lifecycle. If the the agent is killed from the outside, it is the last opportunity for the agent to cleanly shutdown its operations.

  Overrides:
    `end` in class `AbstractAgent`

### analyse

    public java.util.Vector analyse()

### existe_il_ennemis

    public boolean existe_il_ennemis()

### suis_je_un_ennemis

    public boolean suis_je_un_ennemis(Percept p)

### verif_cible

    public boolean verif_cible(double xx,
                               double yy,
                               double d2)

### donne_cible

    public double donne_cible(java.util.Vector V)

### tirer

    public void tirer(double direction)

### suis_je_en_position_potentielle_attaque

    public boolean suis_je_en_position_potentielle_attaque()

### tache1

    public void tache1()

### attaque

    public void attaque()

### set_id_attaque

    public void set_id_attaque(int i)

### recupere_identite

    public gecko_team_robot recupere_identite()

### foo_attaque

    public boolean foo_attaque()

### influer_comportement

    public void influer_comportement()

### doIt

    public void doIt()

  Description copied from class: `Brain`
  This method controls the behavior of a robot. It is called once per turn. This method must be implemented in subclasses of this class.

  Specified by:
    `doIt` in class `Brain`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.